API referenceProjects
Resolve a review comment
Mark a comment resolved and link the change that answered it: changeset_id (apply_changes) and/or revision_id (the edit-history ledger).
Links must belong to this project. reopen: true reopens. Free.
Authorization
bearerAuth AuthorizationBearer <token>
Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….
In: header
Path Parameters
id*string
Format
uuidcommentId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08/resolve" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
"anchor": {
"scene_id": "861eef56-1159-4a95-802f-abab2d0cc192",
"chapter_id": "88d12d31-77f2-44df-910e-b37f83274f80",
"element_id": "string",
"composition_path": "string",
"t_start": 0,
"t_end": 0
},
"anchors": [
{
"property1": null,
"property2": null
}
],
"body": "string",
"kind": "note",
"addressed_to": "string",
"pass_id": "c873768a-5954-4f62-8e84-d0c8cc5522b2",
"author": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "user",
"name": "string"
},
"source": "editor",
"parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
"status": "open",
"resolution": {
"resolved_at": "string",
"by_kind": "user",
"note": "string",
"changeset_id": "8b701a69-4fd1-45f0-983d-99180937ff81",
"revision_id": "f8f7f022-982b-4bef-ba7d-4bb808fdbe2a"
},
"created_at": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}